be.ehealth.technicalconnector.utils

## Class KeyStoreManager

- java.lang.Object
- - be.ehealth.technicalconnector.utils.KeyStoreManager

-     public class KeyStoreManager
      extends Object

  The Class KeyStoreManager.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyStoreManager(KeyStoreInfo keyStoreInfo)` Instantiates a new key store manager.
    `KeyStoreManager(KeyStore keyStore, KeyStoreInfo keyStoreInfo)`
    `KeyStoreManager(String pathKeystore, char[] keyStorePassword)` Instantiates a new key store manager.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyStore` | `getKeyStore()` Gets the key store.
    `KeyStoreInfo` | `getKeyStoreInfo()` Gets the key store info.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStoreManager

          public KeyStoreManager(KeyStore keyStore,
                                 KeyStoreInfo keyStoreInfo)

      Parameters:
        `keyStore:` - will be loaded with data in keyStoreInfo
        `keyStoreInfo` -

    - #### KeyStoreManager

          public KeyStoreManager(KeyStoreInfo keyStoreInfo)
                          throws TechnicalConnectorException

      Instantiates a new key store manager.
      Parameters:
        `keyStoreInfo` - the key store info
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### KeyStoreManager

          public KeyStoreManager(String pathKeystore,
                                 char[] keyStorePassword)
                          throws TechnicalConnectorException

      Instantiates a new key store manager.
      Parameters:
        `pathKeystore` - the path keystore
        `keyStorePassword` - the key store password
      Throws:
        `TechnicalConnectorException` - the technical connector exception

  - ### Method Detail

    - #### getKeyStore

          public final KeyStore getKeyStore()

      Gets the key store.
      Returns:
        the key store

    - #### getKeyStoreInfo

          public final KeyStoreInfo getKeyStoreInfo()

      Gets the key store info.
      Returns:
        the key store info

Connector Packaging PERSAUDIOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.